Create Transaction
Headers
The App Secret provided by CBE.
"X/2uxXAjJqaai5gRzXHzcFPcx9E6B3pibBbVSoce1U23q5hR2Sr5pxlh6WLQZBep"
Body
The request body(payload) includes the following fields:
api_secretcallbackURLIf you want to receive the customer back in your application after the transaction, you can provide a callback URL. Starpay will automatically redirect the user to your URL when the payment is completed successfully or Failed.
If you provide a callbackURL, StarPay will send the following response to that URL after a successful payment.
{
billRefNo: '33WJ8946WB',
status: 'PAID' OR 'SETTLED',
timestamp: '2025-12-10T11:05:37.566Z',
message: 'Payment successful',
merchantId: '6888dc21ee7cbfe63657144f',
customerId: '656445e6-20fa-440d-b8c9-0a588d1ca05b',
externalReferenceId: 'CLA9SR5XR9',
amount: 1,
payment_type: 'USSD_PUSH',
receipt_url: 'https://receipt.starpayethiopia.com/receiptqa/WST-33WJ8946WB'
}The error response for failed payments.
{
billRefNo: '5I974ZLE60',
status: 'FAILED',
message: 'Payment failed'
}Create session.
1000
"VANS+"
"ETB"
"test"
"+251987654567"
"https://example.com/start_pay_callback"
"test12@gmail.com"
"2025-07-01T23:59:59Z"
-The URL where the payment gateway will automatically redirect the customer after a successful payment. This is used to bring the customer back to your website or app to show a confirmation page, receipt, or next steps.
"https://google.com"
Additional custom information that you can send with the order. This field allows you to include extra data (e.g., order reference, custom fields) that will be returned in the payment response and webhook notifications.
{
"order_reference": "ORD-2025-001",
"custom_field": "any value"
}